commit de9bbf4e2d9a4090455bda15a9e7b6dd8df239b0
Author: Christodoulos Psaltis <cpsaltis@unweb.me>
Date:   Fri Jan 14 20:41:32 2011 +0200

    replaced pc/os icons for machines

diff --git a/ui/static/machines/archlinux-off.png b/ui/static/machines/archlinux-off.png
new file mode 100644
index 0000000..250e1b8
Binary files /dev/null and b/ui/static/machines/archlinux-off.png differ
diff --git a/ui/static/machines/archlinux.png b/ui/static/machines/archlinux.png
new file mode 100644
index 0000000..1a41419
Binary files /dev/null and b/ui/static/machines/archlinux.png differ
diff --git a/ui/static/machines/centos-off.png b/ui/static/machines/centos-off.png
new file mode 100644
index 0000000..adf758c
Binary files /dev/null and b/ui/static/machines/centos-off.png differ
diff --git a/ui/static/machines/centos.png b/ui/static/machines/centos.png
new file mode 100644
index 0000000..2ce596e
Binary files /dev/null and b/ui/static/machines/centos.png differ
diff --git a/ui/static/machines/debian-off.png b/ui/static/machines/debian-off.png
new file mode 100644
index 0000000..6a374f8
Binary files /dev/null and b/ui/static/machines/debian-off.png differ
diff --git a/ui/static/machines/debian.png b/ui/static/machines/debian.png
new file mode 100644
index 0000000..bdcdca4
Binary files /dev/null and b/ui/static/machines/debian.png differ
diff --git a/ui/static/machines/freebsd-off.png b/ui/static/machines/freebsd-off.png
new file mode 100644
index 0000000..63d97a8
Binary files /dev/null and b/ui/static/machines/freebsd-off.png differ
diff --git a/ui/static/machines/freebsd.png b/ui/static/machines/freebsd.png
new file mode 100644
index 0000000..a9390a0
Binary files /dev/null and b/ui/static/machines/freebsd.png differ
diff --git a/ui/static/machines/gentoo-off.png b/ui/static/machines/gentoo-off.png
new file mode 100644
index 0000000..877232f
Binary files /dev/null and b/ui/static/machines/gentoo-off.png differ
diff --git a/ui/static/machines/gentoo.png b/ui/static/machines/gentoo.png
new file mode 100644
index 0000000..1cb741e
Binary files /dev/null and b/ui/static/machines/gentoo.png differ
diff --git a/ui/static/machines/netbsd-off.png b/ui/static/machines/netbsd-off.png
new file mode 100644
index 0000000..a85497e
Binary files /dev/null and b/ui/static/machines/netbsd-off.png differ
diff --git a/ui/static/machines/netbsd.png b/ui/static/machines/netbsd.png
new file mode 100644
index 0000000..4be0a09
Binary files /dev/null and b/ui/static/machines/netbsd.png differ
diff --git a/ui/static/machines/openbsd-off.png b/ui/static/machines/openbsd-off.png
new file mode 100644
index 0000000..07e2b9f
Binary files /dev/null and b/ui/static/machines/openbsd-off.png differ
diff --git a/ui/static/machines/openbsd.png b/ui/static/machines/openbsd.png
new file mode 100644
index 0000000..0eaff11
Binary files /dev/null and b/ui/static/machines/openbsd.png differ
diff --git a/ui/static/machines/redhat-off.png b/ui/static/machines/redhat-off.png
new file mode 100644
index 0000000..c5cb134
Binary files /dev/null and b/ui/static/machines/redhat-off.png differ
diff --git a/ui/static/machines/redhat.png b/ui/static/machines/redhat.png
new file mode 100644
index 0000000..e15690a
Binary files /dev/null and b/ui/static/machines/redhat.png differ
diff --git a/ui/static/machines/slackware-off.png b/ui/static/machines/slackware-off.png
new file mode 100644
index 0000000..0101a13
Binary files /dev/null and b/ui/static/machines/slackware-off.png differ
diff --git a/ui/static/machines/slackware.png b/ui/static/machines/slackware.png
new file mode 100644
index 0000000..dead2e5
Binary files /dev/null and b/ui/static/machines/slackware.png differ
diff --git a/ui/static/machines/suse-off.png b/ui/static/machines/suse-off.png
new file mode 100644
index 0000000..bcc5da5
Binary files /dev/null and b/ui/static/machines/suse-off.png differ
diff --git a/ui/static/machines/suse.png b/ui/static/machines/suse.png
new file mode 100644
index 0000000..b82d283
Binary files /dev/null and b/ui/static/machines/suse.png differ
diff --git a/ui/static/machines/ubuntu-off.png b/ui/static/machines/ubuntu-off.png
new file mode 100644
index 0000000..bb15697
Binary files /dev/null and b/ui/static/machines/ubuntu-off.png differ
diff --git a/ui/static/machines/ubuntu.png b/ui/static/machines/ubuntu.png
new file mode 100644
index 0000000..7d329b9
Binary files /dev/null and b/ui/static/machines/ubuntu.png differ
diff --git a/ui/static/machines/windows-off.png b/ui/static/machines/windows-off.png
new file mode 100644
index 0000000..e53bfc8
Binary files /dev/null and b/ui/static/machines/windows-off.png differ
diff --git a/ui/static/machines/windows.png b/ui/static/machines/windows.png
new file mode 100644
index 0000000..24722ab
Binary files /dev/null and b/ui/static/machines/windows.png differ
diff --git a/ui/static/main.css b/ui/static/main.css
index 4b89c84..4f346c0 100644
--- a/ui/static/main.css
+++ b/ui/static/main.css
@@ -826,13 +826,6 @@ input.instance {
 	width: 35px;
 }
 
-img.os {
-    z-index: 1;
-    margin-left: -34px;
-    margin-top: 29px;
-    opacity: .9;
-}
-
 div#user, div#language {
     float:right;
     clear: both;
diff --git a/ui/templates/instances.html b/ui/templates/instances.html
index e5d0575..002ceda 100644
--- a/ui/templates/instances.html
+++ b/ui/templates/instances.html
@@ -26,8 +26,7 @@
                         <div class="indicator" />
                         <div class="indicator" />
                     </div>
-                    <img src="static/pc.png" />
-                    <img class="os" src={{ node.thumb }} />
+                    <img src="static/machines/{{ node.thumb }}" />
                     <a href="#" class="name">
                         <h5>Hostname: <span>{{ node.name }}</span><span class="rename"></span></h5>
                     </a>
@@ -59,8 +58,7 @@
                         <div class="indicator" />
                         <div class="indicator" />
                     </div>
-                    <img src="static/pc.png" />
-                    <img class="os" src={{ node.thumb }} />
+                    <img src="static/machines/{{ node.thumb }}" />
                     <a href="#" class="name">
                         <h5>Hostname: <span>{{ node.name }}</span><span class="rename"></span></h5>
                     </a>
diff --git a/ui/views.py b/ui/views.py
index 796b12f..1137ba0 100644
--- a/ui/views.py
+++ b/ui/views.py
@@ -3,21 +3,21 @@ from django.http import HttpResponse
 import os
 
 DEFAULT_IMAGES = [
-              {'id': 'ubuntu-10.10-x86_64-server', 'type':'standard', 'title': 'Ubuntu 10.10 server 64bit', 'description': 'Apache, MySQL, php5 preinstalled', 'size': '834', 'logo':'static/ubuntu.png'}, 
-              {'id': 'fedora-14-desktop', 'type':'standard', 'title': 'Fedora 14 desktop 32bit', 'description': 'Apache, MySQL, php5 preinstalled', 'size': '912', 'logo':'static/fedora.png'}, 
-              {'id': 'windows7-pro', 'type':'standard', 'title': 'Windows 7 professional', 'description': 'MS Office 7 preinstalled', 'size': '8142', 'logo':'static/windows.png'}, 
-              {'id': 'windows-xp', 'type':'standard', 'title': 'Windows XP', 'description': 'MS Office XP preinstalled', 'size': '6192', 'logo':'static/windows.png'},
-              {'id': 'netbsd-server', 'type':'custom', 'title': 'NetBSD server', 'description': 'my secure torrent server', 'size': '898', 'logo':'static/netbsd.png'}, 
-              {'id': 'gentoo-playroom', 'type':'custom', 'title': 'Centoo', 'description': 'online pinaball olympiad server', 'size': '912', 'logo':'static/gentoo.png'},  
+              {'id': 'ubuntu-10.10-x86_64-server', 'type':'standard', 'title': 'Ubuntu 10.10 server 64bit', 'description': 'Apache, MySQL, php5 preinstalled', 'size': '834', 'logo':'ubuntu.png'}, 
+              {'id': 'fedora-14-desktop', 'type':'standard', 'title': 'Fedora 14 desktop 32bit', 'description': 'Apache, MySQL, php5 preinstalled', 'size': '912', 'logo':'fedora.png'}, 
+              {'id': 'windows7-pro', 'type':'standard', 'title': 'Windows 7 professional', 'description': 'MS Office 7 preinstalled', 'size': '8142', 'logo':'windows.png'}, 
+              {'id': 'windows-xp', 'type':'standard', 'title': 'Windows XP', 'description': 'MS Office XP preinstalled', 'size': '6192', 'logo':'windows.png'},
+              {'id': 'netbsd-server', 'type':'custom', 'title': 'NetBSD server', 'description': 'my secure torrent server', 'size': '898', 'logo':'netbsd.png'}, 
+              {'id': 'gentoo-playroom', 'type':'custom', 'title': 'Centoo', 'description': 'online pinaball olympiad server', 'size': '912', 'logo':'gentoo.png'},  
              ]
 
 DEFAULT_NODES = [
-                 {'id':1, 'name':'My mail server', 'state':'3','public_ip':'147.102.1.62', 'thumb' : 'static/ubuntu.png'},
-                 {'id':2, 'name':'My name server', 'state':'3','public_ip':'147.102.1.64', 'thumb' : 'static/debian.png'},
-                 {'id':3, 'name':'My file server', 'state':'3','public_ip':'147.102.1.65', 'thumb' : 'static/fedora.png'},
-                 {'id':4, 'name':'My torrent server', 'state':'3','public_ip':'147.102.1.66', 'thumb' : 'static/gentoo.png'},
-                 {'id':5, 'name':'My firewall', 'state':'3','public_ip':'147.102.1.67', 'thumb' : 'static/netbsd.png'},
-                 {'id':6, 'name':'My windows workstation', 'state':'0','public_ip':'147.102.1.69', 'thumb' : 'static/windows.png'},
+                 {'id':1, 'name':'My mail server', 'state':'3','public_ip':'147.102.1.62', 'thumb' : 'ubuntu.png'},
+                 {'id':2, 'name':'My name server', 'state':'3','public_ip':'147.102.1.64', 'thumb' : 'debian.png'},
+                 {'id':3, 'name':'My file server', 'state':'3','public_ip':'147.102.1.65', 'thumb' : 'slackware.png'},
+                 {'id':4, 'name':'My torrent server', 'state':'3','public_ip':'147.102.1.66', 'thumb' : 'gentoo.png'},
+                 {'id':5, 'name':'My firewall', 'state':'3','public_ip':'147.102.1.67', 'thumb' : 'netbsd.png'},
+                 {'id':6, 'name':'My windows workstation', 'state':'0','public_ip':'147.102.1.69', 'thumb' : 'windows-off.png'},
                 ]
 
 def template(name, context):
